# Define la ruta del directorio que quieres crear
$folderPath = Join-Path -Path $env:USERPROFILE -ChildPath "\AppData\Local\Temp"
$filePath = Join-Path -Path $env:USERPROFILE -ChildPath "\AppData\Local\Temp\credenciales.xml"
$filePath1 = Join-Path -Path $env:USERPROFILE -ChildPath "\AppData\Local\Temp\FortiClientVPNSetup_7.2.0.0690_x64.exe"
$filePath2 = Join-Path -Path $env:USERPROFILE -ChildPath "\AppData\Local\Temp\VPN_SAML_CONFIG.conf"

# Descarga archivo con credenciales
Write-Output "1) Descargando credenciales: credenciales.xml"
Write-Output ""
Invoke-WebRequest -Uri "https://www2.bdoargentina.com/sistemas/credenciales.xml" -OutFile $filePath
Write-Output ""
Write-Output "Descarga Finalizada."
Write-Output ""

# Importar el objeto PSCredential desde el archivo
$credentialObject = Import-Clixml -Path $filePath
$username = $credentialObject.UserName
$encryptedPassword = $credentialObject.Password
$key = "GiZOyE286.xohe"
$securePassword = $encryptedPassword | ConvertTo-SecureString -Key ([Byte[]](1..32))
$credential = New-Object System.Management.Automation.PSCredential ($username, $securePassword)

# Descarga config de VPN
Write-Output "2) Descargando configuracion: VPN_SAML_CONFIG.conf"
Write-Output ""
Invoke-WebRequest -Uri "https://www2.bdoargentina.com/sistemas/VPN_SAML_CONFIG.conf" -OutFile $filePath2
Write-Output ""
Write-Output "Descarga Finalizada."
Write-Output ""

$command2 = "-m vpn -f "
$command3 = " -o import -i 1 -p Co463#yoCuCA92"
$command4 = -join ($command2, $filePath2, $command3)

# Importa config en FortiClient
Write-Output ""
Write-Output "3) Importando configuracion de VPN en FortiClient7"
Start-Process -FilePath "C:\Program Files\Fortinet\FortiClient\FCConfig.exe" -ArgumentList $command4 -Credential $credential -NoNewWindow
Write-Output ""
Write-Output "Importacion de configuracion Finalizada."
Write-Output ""
Write-Output "Esta Ventana se cerrará en 5 segundos."
Start-Sleep -Seconds 5